设为首页 加入收藏

TOP

安装python工具 easy_install   pip
2019-02-13 02:55:52 】 浏览:33
Tags:安装 python 工具 easy_install   pip

1.首先查看python是否安装

命令行输入python,能进入到python命令中就没问题。

a)这里要注意python要是开发版本的 后面会说解决这个问题的方法


2.安装easy_install

当然有手动安装跟自动安装

方式1:apt-get install python-setuptools

方式2:wgethttp://peak.telecommunity.com/dist/ez_setup.py

python ez_setup.py #会下载你对应版本python的easy_install

如果你需要更新easy_install

执行:python ez_setup.py -U setuptools

方式3:去https://pypi.python.org/pypi/setuptools#windows下载对应版本的

有的时候遇到安装ez_setup.py 下载不到对应的额setuptools.**.zip之类的文件

可以去这里查看https://pypi.python.org/packages/source/s/setuptools/

后面也会说到如何解决这个问题


测试:

easy_install PIL

能成功进入到python工作台能使用import PIL 没错就成功咯

3.安装pip工具

apt-get install python-pip

可以使用pip安装django

pip insgtall Django==1.6.4


进入python命令行

import django

django.VERSION 可以查看到django的版本

常见问题:
1.当在安装包的时候,不管是手动安装 还是 easy_install,如果提示错误:找不到python.h文件,那说明我们安装的python不是开发版,在ubuntu下面的解决办法如下:
查看python版本:python -V
sudo apt-get install python-2.7-dev
或者 apt-get update apt-get install python-dev

2.windows安装ez_setup.py 下载不到对应的额setuptools.**.zip之类的文件

1.https://pypi.python.org/packages/source/s/setuptools/ 查看有那些版本的setuptolls文件

2.修改ez_setup.py 文件

DEFAULT_VERSION = "3.4" #修改为存在的版本


编程开发网
】【打印繁体】【投稿】【收藏】 【推荐】【举报】【评论】 【关闭】 【返回顶部
上一篇.[Python 技术培训] 第一周幻灯片.. 下一篇Python 多版本共存问题 1